Permalink
Commits on Nov 21, 2015
  1. Make tests compatible with Dist::Zilla 5.040 and up

      POD tests moved from xt/release to xt/author in 5.040
      Bump version to 4.37
    committed Nov 21, 2015
Commits on Sep 5, 2015
  1. Pass single_version to GitVersionCheckCJM

      Require GitVersionCheckCJM version 4.27 (adds single_version)
      Bump version to 4.36
    committed Sep 5, 2015
Commits on Aug 8, 2015
  1. Add 10-build.t

      Bump version to 4.35
    committed Aug 8, 2015
Commits on Jul 25, 2015
  1. Update READMEs to note name change to Author::CJM

      I forgot to do this when I renamed Dist::Zilla::PluginBundle::CJM
      to Dist::Zilla::PluginBundle::Author::CJM in version 4.10.
    committed Jul 25, 2015
  2. Update prereqs to better support POD in scripts

      Require PodLoom version 5.001 (uses filename instead of 'main')
      Require TemplateCJM version 4.23 (adds $filename & $pathname)
      Bump version to 4.34
    committed Jul 25, 2015
Commits on Feb 7, 2015
  1. Remove Moose::Autobox from prerequisites

      Bump version to 4.33
    committed Feb 7, 2015
Commits on Jan 31, 2015
  1. Update required versions of several plugins

      Ensure I have the latest features
    committed Jan 31, 2015
  2. Don't use Moose::Autobox

      Bump version to 4.32
    committed Jan 31, 2015
Commits on Dec 21, 2013
  1. Add check_recommend_tests parameter

        
      Bump version to 4.31
    committed Dec 21, 2013
Commits on Sep 21, 2013
  1. Remove "as part of" from VERSION

      There's only 1 module in this dist now.
    committed Sep 21, 2013
  2. Use RunExtraTests instead of ExtraTests

      Bump version to 4.30
    committed Sep 21, 2013
Commits on Aug 25, 2013
  1. Reformat Changes to match spec

    committed Aug 25, 2013
Commits on Aug 24, 2013
  1. Add template_date_format parameter

      Pass it to TemplateCJM as date_format
      Bump version to 4.20
      Require version 4.20 of TemplateCJM (for date_format)
        and Test::PrereqsFromMeta (to ensure Dist-Zilla-Plugins-CJM
        doesn't contain an older TemplateCJM)
    committed Aug 24, 2013
Commits on Mar 21, 2012
  1. Pass mb_class param to builder plugin

      Bump version to 4.13
    committed Mar 21, 2012
Commits on Dec 12, 2011
  1. Remove the CJM bundle

    committed Dec 12, 2011
  2. Add pod_finder & template_file params

      Require PodLoom 4.10 (FileFinderUser)
    committed Dec 12, 2011
  3. Add Test::PrereqsFromMeta

    committed Nov 30, 2011
Commits on Nov 11, 2011
Commits on Nov 7, 2011
  1. Add remove_plugin param

    You can't pass multivalue params to @Filter, so I have to do my own
    filtering.
    committed Nov 7, 2011
Commits on Nov 6, 2011
  1. Add DEPRECATED to abstract of @CJM

    Bump version to 4.11
    committed Nov 6, 2011
  2. Add CheckPrereqsIndexed

    Improve docs
    Bump version to 4.11
    committed Nov 6, 2011